Skip to main content
`Ctrl`+`K`

# PEPSTOARSetDetectZeros

Sets a flag to enforce detection of zeros during the factorizations throughout the spectrum slicing computation.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetDetectZeros(PEP pep,PetscBool detect)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- detect - check for zeros

## Options Database Key

- -pep_stoar_detect_zeros - toggle the zero detection

## Notes

This flag makes sense only for spectrum slicing runs, that is, when an interval has been given with `PEPSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing for PEP.

A zero in the factorization indicates that a shift coincides with an eigenvalue.

This flag is turned off by default, and may be necessary in some cases. This feature currently requires an external package for factorizations with support for zero detection, e.g. MUMPS.

## See Also

PEP: Polynomial Eigenvalue Problems, Spectrum Slicing for PEP, `PEPSTOAR`, `PEPSetInterval()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Examples

src/pep/tutorials/ex38.c

## Implementations

PEPSTOARSetDetectZeros_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages